I have been messing around trying to get it to compile on Mac OS X. I know you don't support it, but I was wondering if anybody knew how to get around this error

Linking tuxcmd
ld warning: option -s is obsolete and being ignored
ld: unknown option: -z
An error occurred while linking
Error: Error while linking
Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
Error: /usr/local/bin/ppc386 returned an error exitcode (normal if you did not specify a source file to be compiled)
make: *** [tuxcmd] Error 1

I get this when the linking starts, and have been at a loss. If anybody has any ideas that would be great.